> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 检查转推

> 检查用户是否转推过给定推文。每次请求最多扫描 100 次转推。如果转推数量更多，会返回 `next_cursor`，用于继续检查。通过 `username`、`user_link` 或 `user_id` 指定用户。



## OpenAPI

````yaml openapi-zh-Hans.json POST /check-retweet
openapi: 3.0.3
info:
  contact: {}
  title: Sorsa.io API
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /check-retweet:
    post:
      tags:
        - 行为验证
      summary: 检查转推
      description: >-
        检查用户是否转推过给定推文。每次请求最多扫描 100 次转推。如果转推数量更多，会返回 `next_cursor`，用于继续检查。通过
        `username`、`user_link` 或 `user_id` 指定用户。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/verification.CheckRetweetReq'
        description: 推文链接和用户名必填，next_cursor 非必填
        required: true
        x-originalParamName: payload
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verification.CheckRetweetResp'
          description: 成功
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 请求无效
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 未授权
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 禁止访问
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 未找到
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 请求过多
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 服务器内部错误
      security:
        - ApiKeyAuth: []
components:
  schemas:
    verification.CheckRetweetReq:
      properties:
        next_cursor:
          type: string
        tweet_link:
          type: string
        user_id:
          type: string
        user_link:
          type: string
        username:
          type: string
      type: object
    verification.CheckRetweetResp:
      properties:
        next_cursor:
          description: 需要时用于继续检查更多转推的游标。
          type: string
        retweet:
          description: 用户转推过该推文时为 `true`。
          type: boolean
        user_protected:
          description: 被检查用户的账号受保护时为 `true`。
          type: boolean
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````